Enneo

Report

Get dashboard structure

GET /report/structure

GET /report/structure

Returns dashboard structure based on user's role and permissions. Structure contains widget layout and configuration. All available components and their configurations are described in the enneo documentation.

Responses

200 — Successful operation

Response Example

{
  "contentSchema": {
    "id": "content",
    "type": "div",
    "class": "contentContainer",
    "children": [
      {
        "id": "headerContainer",
        "type": "div",
        "class": "headerContainer",
        "children": [
          {
            "id": "headerIconContainer",
            "type": "div",
            "class": "headerIconContainer",
            "children": [
              {
                "id": "icon",
                "type": "image",
                "imageUrl": "/icons/icon.svg"
              }
            ]
          }
        ]
      }
    ]
  }
}

403 — Unauthorized

500 — Internal error